Subject: PC-Pine and the Windows registry

From: Nancy McGough <[email-masked]>
Date: Fri, 28 Sep 2001 20:34:15 +0100 (BST)

I've just added a section to my Power Pine page about Pine
registry settings. The section is at either of these URLs:

 Primary: http://www.ii.com/internet/messaging/pine/pc/#registry
 Backup: http://www.best.com/~ii/internet/messaging/pine/pc/#registry

And here's what it says...

----
12. Checking Registry Settings

   Starting with version 4.30???, PC-Pine enters some data in the
   MS Windows registry. To check your Pine-related settings, click
   on the Windows Start button, choose Run, and type:

     \full\path\to\pine.exe -registry dump

   If you used an earlier version of PC-Pine (4.30, 4.31, 4.32,
   4.33), it is possible (actually likely) that the registry
   contains the settings for your old version of PC-Pine. If your
   Pine registry settings are not correct for your current version
   of PC-Pine, clear them by running this:

      \full\path\to\pine.exe -registry clear

   The next time you run PC-Pine, it will reset the registry with
   the correct settings for the PC-Pine you are currently using.
----

My questions are:

* Was it 4.30 that started using the registry?

* The fact that Pine uses old registry settings seems like a bug
  to me -- does anyone else see this? I think that what I did to
  produce this bug was use Windows Explorer to rename my old Pine
  directory and maybe Windows Explorer and the Registry were
  talking to each other and the Registry modified the Pine
  paths??? Does anyone else see incorrect settings when you run
  `pine -registry dump'?

* Any suggestions for what I should say or pages I can link to in
  this section of my page are welcome!

Thanks,
Nancy

-- 
ii Main Pine Page: <http://www.ii.com/internet/messaging/pine/>

Nancy McGough         <http://www.ii.com/>         Infinite Ink
--= Sent via Pine: IMAP, NNTP & ESMTP for Unix/Win/Mac OS X =--

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------